Page MenuHomePhabricator

Convert Phabricator mail config to use cluster.mailers
Closed, ResolvedPublic

Description

Upstream have removed the legacy mail configs which affects us. We need to migrate to cluster.mailers (to continue to get updates from upstream).

https://github.com/phacility/phabricator/commit/9d5b933ed5a36076801a95429d625941d04e77ff#diff-c083f10aba02bb34e6e823f23c980485

Event Timeline

Paladox created this task.Jan 5 2019, 2:57 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 5 2019, 2:57 AM
Paladox updated the task description. (Show Details)Jan 5 2019, 2:58 AM

Change 482400 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/puppet@production] phabricator: Migrate mail config to cluster.mailers

https://gerrit.wikimedia.org/r/482400

herron triaged this task as Normal priority.Jan 7 2019, 3:28 PM
Dzahn added a comment.Jan 8 2019, 9:57 PM

Thanks @Paladox, per IRC and Gerrit +1 to that config change. Could you add some info in what version exactly this will switch over to use new config?

Dzahn added a subscriber: herron.Jan 8 2019, 10:07 PM

looked at upstream docs, config change looks ok to me, confirmed with @herron services should use smtp to localhost and this does just that.

paladox tested on wmcs that phabricator still sends out mail and the metamta.* options are unffected, so domain and no-reply@ address are unchanged

Change 482400 merged by Dzahn:
[operations/puppet@production] phabricator: Add new cluster.mailers

https://gerrit.wikimedia.org/r/482400

Dzahn added a comment.Feb 8 2019, 1:46 AM

deployed in production and we tested mail still works. this just adds the new config and does not remove the old config though

Change 489121 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/puppet@production] phabricator: Remove old mail config

https://gerrit.wikimedia.org/r/489121

Change 489121 merged by Dzahn:
[operations/puppet@production] phabricator: Remove old mail config

https://gerrit.wikimedia.org/r/489121

Dzahn added a comment.Feb 14 2019, 1:13 AM

deployed in production (phab1001) , please test that mail still works

Mentioned in SAL (#wikimedia-operations) [2019-02-14T01:15:14Z] <mutante> phab1001 - phabricator mail config converted to cluster.mailers to adjust to upstream change (T212989)

Dzahn closed this task as Resolved.Feb 14 2019, 1:17 AM
Dzahn claimed this task.